1. 5.x includes/install.inc REQUIREMENT_ERROR
  2. 6.x includes/install.inc REQUIREMENT_ERROR
  3. 7.x includes/install.inc REQUIREMENT_ERROR

Requirement severity -- Error condition; abort installation.

13 uses of REQUIREMENT_ERROR
drupal_verify_profile in includes/install.inc
Verifies an installation profile for installation.
hook_requirements in modules/system/system.api.php
Check installation requirements and do status reporting.
install_check_requirements in includes/install.core.inc
Checks installation requirements and reports any errors.
openid_requirements in modules/openid/openid.install
Implements hook_requirements().
requirements1_test_requirements in modules/simpletest/tests/requirements1_test.install
Implements hook_requirements().

... See full list

File

includes/install.inc, line 36
API functions for installing modules and themes.

Code

define('REQUIREMENT_ERROR', 2);